echo off
cls
C:
cd C:\BF
set b&fpro=C:\BF
set bnf_macro_buffer=ems
vidtype
if errorlevel 255 goto unknown
if errorlevel 1   goto ega
if errorlevel 0   goto startbnf
:ega
bnfega
goto startbnf
:startbnf
whichbnf %1 %2 %3 %4 %5
if errorlevel 6 goto bfpe
if errorlevel 5 goto bfpd
if errorlevel 4 goto bfpc
if errorlevel 3 goto bfp
if errorlevel 2 goto bfpb
if errorlevel 1 goto bfpa
goto done
:bfpa
bfpa %1 %2 %3 %4 %5
goto done
:bfpb
bfpb %1 %2 %3 %4 %5
goto done
:bfp
bfp %1 %2 %3 %4 %5
goto done
:bfpc
bfpc %1 %2 %3 %4 %5
goto done
:bfpd
bfpd %1 %2 %3 %4 %5
goto done
:bfpe
bfpe %1 %2 %3 %4 %5
goto done
:unknown
rem Unknown video type! Contact PSI for help...
:done
